Issue 123301 - AOO update breaks ODF association to AOO
Summary: AOO update breaks ODF association to AOO
Status: CLOSED IRREPRODUCIBLE
Alias: None
Product: Installation
Classification: Application
Component: code (show other issues)
Version: 4.0.0
Hardware: PC Windows 7
: P3 Critical (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2013-09-19 18:15 UTC by tom9940
Modified: 2017-05-20 09:44 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description tom9940 2013-09-19 18:15:07 UTC
After downloading & installing version 4.0.0, I can no longer open existing files. The computer doesn't seem to have an association for .ods or .odt and I don't know what program to associate with them in the default associations.
Comment 1 Edwin Sharp 2013-09-19 18:58:56 UTC
right click a file - open with - choose default program... - browse... -> 
C:\Program Files (x86)\OpenOffice 4\program - select scalc.exe or swriter.exe
Comment 2 Rainer Bielefeld 2013-09-20 11:51:24 UTC
(In reply to Edwin Sharp from comment #1)
I don't think so. Generally installation of a public final AOO version should do the job to associate ODF documents to AOO. 

Although there are several differences (especially in Version), this one might be a DUP of "119164 - File extension association doesn't work after I install other ODF editor and then upgrade to AOO 3.4"?

@tom9940 
a) From What OOo or whatever software Version did you update?
b) what different ODF Software (LibO, Calligra, Symphony, ...) do you have 
   installed on your PC
c) How exactly did you install what installation file (English? Localized? 
   Rev. from Help About?). Custom or Default? What steps exactly?
Comment 3 Rainer Bielefeld 2013-09-21 15:46:07 UTC
I installed  "AOO 4.0.1 RC2  – German UI / German locale  [AOO401m5(Build:9714)  -  Rev. 1523756 2013-09-16 20:50:21]" on German German WIN7 Home Premium (64bit)", Common 4.0-dev User Profile, and association of ODF documents stayed at LibO 4. That proves nothing with my very special test PC, but I think that's enough initial suspicion to reopen this one. 

@tom9940:
From what OOo version did you update?
Comment 4 Rainer Bielefeld 2013-10-01 07:25:41 UTC
But Installation of 
{"AOO 4.0.1 RC3  – German UI / German locale  [Rev. 1524958 2013-09-20 11:40:29]" on  German WIN7 Home Premium (64bit)", “historic”  4.0  User Profile used for all  predecessor versions }
after uninstall of LibO associated ODF correctly to AOO. Smart trick or Bug? I think it's a bug. At least there should be a question "Currently ODF documents are associated with, doy you want to ...)?

Additionally MSOFFICE association did not work, but that might be a different problem, I will submit an extra bug.

But I still do not see any confirmation for an update problem that breaks existing association to AOO. So i am closing issue due to reporter's inactivity.

@reporter:
Please feel free to reopen this issue if you find out that the problem still exists in the latest public release of AOO and if you can provide requested additional information, for details please also see <http://wiki.openoffice.org/wiki/QA/HowToFileIssue>!
Comment 5 SVN Robot 2014-01-02 15:48:34 UTC
"hdu" committed SVN revision 1554833 into trunk:
#i123301# add Makefiles for XCode>=4 on Mac
Comment 6 hdu@apache.org 2014-01-02 15:51:10 UTC
(In reply to SVN Robot from comment #5)
> "hdu" committed SVN revision 1554833 into trunk:
> #i123301# add Makefiles for XCode>=4 on Mac

Issue 122301 was meant, sorry about the typo and the resulting commit notification in this unrelated issue.